import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EquipoController } from './equipo.controller';
import { EquipoService } from './equipo.service';
import { Equipo } from './entity/equipo.entity';
import { EquipoPrograma } from './entity/equipo-programa.entity';
import { EquipoTipoEntrada } from './entity/equipo-tipo-entrada.entity';
import { InstitucionProgramaModule } from '../institucion-programa/institucion-programa.module';
import { InstitucionTipoCarritoModule } from '../institucion-tipo-carrito/institucion-tipo-carrito.module';
import { InstitucionTipoEntradaModule } from '../institucion-tipo-entrada/institucion-tipo-entrada.module';
import { ModuloModule } from '../modulo/modulo.module';
import { StatusModule } from '../status/status.module';

@Module({
  imports: [
    InstitucionProgramaModule,
    InstitucionTipoCarritoModule,
    InstitucionTipoEntradaModule,
    ModuloModule,
    TypeOrmModule.forFeature([Equipo, EquipoPrograma, EquipoTipoEntrada]),
    StatusModule,
  ],
  controllers: [EquipoController],
  providers: [EquipoService],
  exports: [EquipoService],
})
export class EquipoModule {}
